<?php

namespace App\Http\Swagger;


/**
 * 
 * @OA\Post(
 *      path="/api/ama/combined_offers/paginate",
 *      summary="Paginate offer list",
 *      tags={"Search Flight Offers"},
 *      description="Paginate flight offers",
 *      @OA\RequestBody(
 *          required=true,
 *          @OA\JsonContent(
 *              type="object",
 *              @OA\Property(
 *                  property="requestId",
 *                  type="string",
 *                  example="98e1be91-e637-4a81-88c1-00b94ed4d1f4",
 *                  description="Request Identifier"
 *              ),
 *              @OA\Property(
 *                  property="page",
 *                  type="number",
 *                  example=2,
 *                  description="Next page number"
 *              )
 *          )
 *      ),
 *     @OA\Response(
 *         response=200,
 *         description="Successful operation",
 *         @OA\JsonContent(
 *             type="object",
 *             @OA\Property(property="productOffers", type="array", @OA\Items(type="object"))
 *         )
 *     ),
 *     @OA\Response(
 *         response=400,
 *         description="Bad Request",
 *         @OA\JsonContent(
 *             type="object",
 *             @OA\Property(property="error_message", type="string")
 *         )
 *     )
 * )
 */

class BPaginateOffers
{
    //
}
