<?php

namespace App\Http\Swagger;

use Exception;

/**
 * @OA\Schema(
 *     schema="Traveler",
 *     type="object",
 *     @OA\Property(property="TravelerRef", type="string", example="passenger_0"),
 *     @OA\Property(property="id", type="string", example="passenger_0"),
 *     @OA\Property(property="passengerTypeCode", type="string", example="ADT"),
 *     @OA\Property(
 *         property="PersonName",
 *         type="object",
 *         @OA\Property(property="Given", type="string", example="Jhone"),
 *         @OA\Property(property="Middle", type="string", example="Doe"),
 *         @OA\Property(property="Surname", type="string", example="Zee"),
 *         @OA\Property(property="Title", type="string", example="Mr")
 *     ),
 *     @OA\Property(property="gender", type="string", example="Male"),
 *     @OA\Property(
 *         property="birthDate",
 *         type="string",
 *         format="date",
 *         example="1990-05-05"
 *     ),
 *     @OA\Property(
 *         property="Email",
 *         type="array",
 *         @OA\Items(
 *             type="object",
 *             @OA\Property(property="value", type="string", example="jhonedoe@test.com")
 *         )
 *     ),
 *     @OA\Property(
 *         property="Telephone",
 *         type="array",
 *         @OA\Items(
 *             type="object",
 *             @OA\Property(property="cityCode", type="string", example="ORD"),
 *             @OA\Property(property="countryAccessCode", type="string", example="1"),
 *             @OA\Property(property="phoneNumber", type="string", example="022156897545"),
 *             @OA\Property(property="role", type="string", example="Home")
 *         )
 *     ),
 *     @OA\Property(
 *         property="PostalAddress",
 *         type="object",
 *         @OA\Property(property="CityName", type="string", example="MIAMI"),
 *         @OA\Property(property="CountryCode", type="string", example="US"),
 *         @OA\Property(property="CountrySubDivisionName", type="string", example="FL"),
 *         @OA\Property(property="LabelText", type="string", example="R"),
 *         @OA\Property(property="PostalCode", type="string", example="33122"),
 *         @OA\Property(property="StreetText", type="string", example="3470 NW 82 AVENUE"),
 *     ),
 *     @OA\Property(
 *         property="DeliveryAddress",
 *         type="object",
 *         @OA\Property(property="CityName", type="string", example="CORAL GABLES"),
 *         @OA\Property(property="CountryCode", type="string", example="US"),
 *         @OA\Property(property="CountrySubDivisionName", type="string", example="FL"),
 *         @OA\Property(property="LabelText", type="string", example="D"),
 *         @OA\Property(property="PostalCode", type="string", example="33143"),
 *         @OA\Property(property="StreetText", type="string", example="123 BILTMORE WAY"),
 *     ),
 *     @OA\Property(
 *         property="TravelDocument",
 *         type="array",
 *         @OA\Items(
 *             type="object",
 *             @OA\Property(property="birthDate", type="string", format="date", example="1990-05-05"),
 *             @OA\Property(property="docNumber", type="string", example="A201525648"),
 *             @OA\Property(property="docType", type="string", example="Passport"),
 *             @OA\Property(property="expireDate", type="string", format="date", example="2030-01-01"),
 *             @OA\Property(property="Gender", type="string", example="Male"),
 *             @OA\Property(property="issueCountry", type="string", example="US"),
 *             @OA\Property(property="nationality", type="string", example="US"),
 *             @OA\Property(
 *                 property="PersonName",
 *                 type="object",
 *                 @OA\Property(property="Given", type="string", example="Jhone"),
 *                 @OA\Property(property="Surname", type="string", example="Zee")
 *             )
 *         )
 *     ),
 * )
 */

class TravellerSchema
{
    //
}
